## ement-el 0.4.1

=== debian/changelog ===
ement-el (0.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 08 Nov 2022 12:36:50 -0700

ement-el (0.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 18 Sep 2022 16:32:53 -0700

ement-el (0.1-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * Update d/copyright for copyright assignment to FSF.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 04 Sep 2022 14:43:02 -0700

ement-el (0.1~git20220719.1.aaba533-1) experimental; urgency=medium

  * Initial release (Closes: #1015723).
    Upload to experimental until upstream uploads to GNU ELPA.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 20 Jul 2022 13:19:48 -0700

## ement-el 0.14

=== Makefile ===
# * makem.sh/Makefile --- Script to aid building and testing Emacs Lisp packages

# URL: https://github.com/alphapapa/makem.sh
# Version: 0.5

# * Arguments

# For consistency, we use only var=val options, not hyphen-prefixed options.

# NOTE: I don't like duplicating the arguments here and in makem.sh,
# but I haven't been able to find a way to pass arguments which
# conflict with Make's own arguments through Make to the script.
# Using -- doesn't seem to do it.

ifdef install-deps
	INSTALL_DEPS = "--install-deps"
endif
ifdef install-linters
	INSTALL_LINTERS = "--install-linters"
endif

ifdef sandbox
	ifeq ($(sandbox), t)
		SANDBOX = --sandbox
	else
		SANDBOX = --sandbox=$(sandbox)
	endif
endif

ifdef debug
	DEBUG = "--debug"
endif

# ** Verbosity

# Since the "-v" in "make -v" gets intercepted by Make itself, we have
# to use a variable.

verbose = $(v)

ifneq (,$(findstring vvv,$(verbose)))
	VERBOSE = "-vvv"
else ifneq (,$(findstring vv,$(verbose)))
	VERBOSE = "-vv"
else ifneq (,$(findstring v,$(verbose)))
	VERBOSE = "-v"
endif

# * Rules

# TODO: Handle cases in which "test" or "tests" are called and a
# directory by that name exists, which can confuse Make.

%:
	@./makem.sh $(DEBUG) $(VERBOSE) $(SANDBOX) $(INSTALL_DEPS) $(INSTALL_LINTERS) $(@)

.DEFAULT: init
init:
	@./makem.sh $(DEBUG) $(VERBOSE) $(SANDBOX) $(INSTALL_DEPS) $(INSTALL_LINTERS)

## ement-el 0.5.2

=== debian/changelog ===
ement-el (0.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Arto Jantunen <viiru@debian.org>  Wed, 18 Jan 2023 08:43:53 +0200

=== debian/control ===
Source: ement-el
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Sean Whitton <spwhitton@spwhitton.name>
Build-Depends: debhelper-compat (= 13), dh-elpa
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/emacsen-team/ement-el
Vcs-Git: https://salsa.debian.org/emacsen-team/ement-el.git
Homepage: https://github.com/alphapapa/ement.el
Rules-Requires-Root: no

Package: elpa-ement
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: Matrix client for Emacs
 A Matrix client for Emacs aiming to be simple, fast, featureful and reliable.
 .
 The default formatting style resembles IRC clients, with each message being
 prefixed by the username (which enables powerful Emacs features, like using
 Occur to show all messages from or mentioning a user).  Alternative, built-in
 styles include an Element-like one with usernames above groups of messages,
 as well as a classic, no-margins IRC style.  Messages may be optionally
 displayed with unique colors for each user (with customizable contrast),
 making it easier to follow conversations.  Timestamp headers are optionally
 displayed where a certain amount of time passes between events, as well as
 where the date changes.

## ement-el 0.6

=== debian/changelog ===
ement-el (0.6-1) unstable; urgency=medium

  * New upstream release.
  * Add myself to Uploaders.
  * Bump Standards-Version, no changes.

 -- Arto Jantunen <viiru@debian.org>  Sat, 25 Feb 2023 07:21:21 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: editors
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Sean Whitton <spwhitton@spwhitton.name>
+Uploaders: Sean Whitton <spwhitton@spwhitton.name>,
+           Arto Jantunen <viiru@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-elpa
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/emacsen-team/ement-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/ement-el.git
 Homepage: https://github.com/alphapapa/ement.el

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/ement.el-$1.tar.gz/" \
    https://github.com/alphapapa/ement.el/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ement-el 0.8.3

=== debian/changelog ===
ement-el (0.8.3-1) experimental; urgency=medium

  * New upstream release.

 -- Arto Jantunen <viiru@debian.org>  Fri, 14 Apr 2023 15:39:06 +0300

ement-el (0.8.2-1) experimental; urgency=medium

  * New upstream release.

 -- Arto Jantunen <viiru@debian.org>  Sat, 08 Apr 2023 09:19:49 +0300

ement-el (0.7-1) experimental; urgency=medium

  * New upstream release.

 -- Arto Jantunen <viiru@debian.org>  Tue, 07 Mar 2023 09:10:25 +0200

## ement-el 0.10

=== debian/changelog ===
ement-el (0.10-1) unstable; urgency=medium

  * New upstream release.

 -- Arto Jantunen <viiru@debian.org>  Thu, 15 Jun 2023 11:42:44 +0300

ement-el (0.9.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Arto Jantunen <viiru@debian.org>  Tue, 13 Jun 2023 06:51:34 +0300

ement-el (0.9.3-1) experimental; urgency=medium

  * New upstream release.

 -- Arto Jantunen <viiru@debian.org>  Wed, 17 May 2023 18:03:56 +0300

ement-el (0.9.1-1) experimental; urgency=medium

  * New upstream release.
  * Add build-deps required to run the test-suite.

 -- Arto Jantunen <viiru@debian.org>  Sun, 14 May 2023 14:10:32 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,10 @@
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Sean Whitton <spwhitton@spwhitton.name>,
            Arto Jantunen <viiru@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-elpa
+Build-Depends: debhelper-compat (= 13),
+               dh-elpa,
+               elpa-plz,
+               elpa-taxy-magit-section,
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/emacsen-team/ement-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/ement-el.git
@@ -13,7 +16,7 @@
 
 Package: elpa-ement
 Architecture: all
-Depends: ${elpa:Depends}, ${misc:Depends}
+Depends: ${elpa:Depends}, ${misc:Depends},
 Recommends: emacs (>= 46.0)
 Enhances: emacs
 Description: Matrix client for Emacs

## ement-el 0.11

=== debian/changelog ===
ement-el (0.11-1) unstable; urgency=medium

  * New upstream release.

 -- Arto Jantunen <viiru@debian.org>  Sat, 26 Aug 2023 08:05:28 +0300

## ement-el 0.13

=== debian/changelog ===
ement-el (0.13-1) unstable; urgency=medium

  * New upstream release.

 -- Arto Jantunen <viiru@debian.org>  Tue, 03 Oct 2023 09:30:46 +0300

ement-el (0.12-1) unstable; urgency=medium

  * New upstream release.
  * Enable autopkgtests using autopkgtest-pkg-elpa.

 -- Arto Jantunen <viiru@debian.org>  Fri, 15 Sep 2023 06:59:07 +0300

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
 Vcs-Git: https://salsa.debian.org/emacsen-team/ement-el.git
 Homepage: https://github.com/alphapapa/ement.el
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-elpa
 
 Package: elpa-ement
 Architecture: all

## ement-el 0.14

=== debian/changelog ===
ement-el (0.14-1) unstable; urgency=medium

  * New upstream release.
  * Install the info manual.

 -- Arto Jantunen <viiru@debian.org>  Sat, 27 Jan 2024 13:10:33 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                dh-elpa,
                elpa-plz,
                elpa-taxy-magit-section,
+               texinfo,
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/emacsen-team/ement-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/ement-el.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	emacs -q --batch -l ox-texinfo \
		--eval '(find-file "README.org")'                        \
		--eval '(defvar org-babel-confirm-evaluate-answer-no t)' \
		--eval '(org-texinfo-export-to-info)'

override_dh_auto_clean:

override_dh_auto_install:

## ement-el 0.15.1

=== debian/changelog ===
ement-el (0.15.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 20:13:46 +0900

ement-el (0.15.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes.

 -- Arto Jantunen <viiru@debian.org>  Fri, 07 Jun 2024 10:14:51 +0300

ement-el (0.15-1) unstable; urgency=medium

  * New upstream release.

 -- Arto Jantunen <viiru@debian.org>  Wed, 17 Apr 2024 10:43:14 +0300

## ement-el 0.16

=== debian/changelog ===
ement-el (0.16-1) unstable; urgency=medium

  * New upstream release.

 -- Arto Jantunen <viiru@debian.org>  Mon, 14 Oct 2024 12:02:57 +0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                elpa-plz,
                elpa-taxy-magit-section,
                texinfo,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/emacsen-team/ement-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/ement-el.git
 Homepage: https://github.com/alphapapa/ement.el

## ement-el 0.17

=== debian/changelog ===
ement-el (0.17-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes.
  * Drop Rules-Requires-Root, no longer needed.
  * Update debian/watch to use the version 5 format.

 -- Arto Jantunen <viiru@debian.org>  Sun, 16 Nov 2025 16:15:09 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,10 @@
                elpa-plz,
                elpa-taxy-magit-section,
                texinfo,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/emacsen-team/ement-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/ement-el.git
 Homepage: https://github.com/alphapapa/ement.el
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 
 Package: elpa-ement

=== debian/watch ===
Version: 5

Template: Github
Owner: alphapapa
Project: ement.el
